Skip to content

Get trade history for a currency pair

GET
/v1/account/{currencyPair}/tradehistory

Get the last 100 recent trades for a given currency pair for your account. You can limit the number of trades returned by specifying the limit parameter, and the skip parameter to exclude a specified number of the latest trades from the results.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currencyPair*

The currency pair symbol (e.g., BTCUSDC, ETHUSDT)

Type
string
Required

Query Parameters

skip

Skip this number of results. (Default 0)

Type
integer
Format
"int32"
limit

Limit the results to this number. (Default and Max 100)

Type
integer
Format
"int32"

Responses

Trade history retrieved successfully

application/json
JSON
[
{
"price": "93129",
"quantity": "0.0001",
"currencyPair": "BTCUSDT",
"tradedAt": "2025-06-13T09:21:48.393Z",
"side": "buy",
"sequenceId": 1368928567986636000,
"id": "01976898-6969-7c30-b002-bb021d376c30",
"orderId": "01976898-6967-7d63-88c1-8223d40cc39e",
"fee": "0.0000001",
"feeCurrency": "BTC"
}
]

Playground

Authorization
Variables
Key
Value

Samples